Retrieve Award Information

You can use this API request to retrieve detailed information about an AwardType.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You can use the following parameters in your retrieve award information request:

Paging and Sorting: page, pageSize, sort
Projection: include, exclude, includeOnly
Other options: wrap, v1

/services/v2/award/[awardTypeId].json

🚧

Permissions & Notes:

  • You must have the Use site permission under Anonymous Roles in the Advanced Editor.

  • The URI/URL parameter awardTypeId is a placeholder for the actual identifier of the AwardType.

    • You should format it as a valid integer (digit characters only).
  • With the includeOnly parameter set to id and name (/services/v2/award/[awardTypeID].json?includeOnly=id,name) to the AnswerHub REST API.

  • We added this request in version 1.6.3.

Sample Request

A GET retrieve award information request to retrieve information for an award (award title: Good Question) (awardTypeId: 514) sent to https://apidocs.cloud.answerhub.com using a human-readable Username/Password (answerhub/test123) would look like this:

curl 
-u answerhub:test123
-H "Accept: application/json" 
-H "Content-type: application/json" 
-X GET "https://apidocs.cloud.answerhub.com/services/v2/award/514.json"

Sample Response

Successful Response:

  • HTTP Status 200 - OK
{
    "id": 514,
    "creationDate": 1542779465000,
    "creationDateFormatted": "11/21/2018 05:51 AM",
    "name": "Good Question",
    "description": "Question voted up 5 times",
    "active": true,
    "level": "silver",
    "mode": "per_node"
}

Community User Interface Result

Click here to see a list of all the awards

You can see the Good Question Award Information

Path Params
int32
required
Defaults to 514
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json